Bug 64392 - dns_cache missing, preventing webalizer from running
dns_cache missing, preventing webalizer from running
Product: Red Hat Linux
Classification: Retired
Component: webalizer (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-05-03 10:59 EDT by Chris Ricker
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-10 13:31:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-05-03 10:59:00 EDT
This bug is in 7.3 gold

Webalizer does not run, due to a missing dns_cache.db file:

[kaboom@hanuman cron.daily]$ sudo /usr/bin/webalizer 
Error: Unable to open DNS cache file /var/lib/webalizer/dns_cache.db
[kaboom@hanuman cron.daily]$ ls -l /var/lib/webalizer/
total 3
-rw-r--r--    1 root     root         1306 May  3 04:02 webalizer.current
-rw-r--r--    1 root     root          288 May  3 04:02 webalizer.hist
[kaboom@hanuman cron.daily]$ 

From /etc/webalizer.conf:

# DNSCache specifies the DNS cache filename to use for reverse DNS lookups.
# This file must be specified if you wish to perform name lookups on any IP
# addresses found in the log file.  If an absolute path is not given as
# part of the filename (ie: starts with a leading '/'), then the name is
# relative to the default output directory.  See the DNS.README file for
# additional information.

DNSCache        /var/lib/webalizer/dns_cache.db

Unfortunately, the DNS.README file mentioned here is not packaged with the
webalizer RPM, which is also a bug....

At any rate, the dns_cache.db file has to be pre-generated during the
postinstall of webalizer, and it's not being done right now, so webalizer simply
doesn't work until DNSCache is commented out of the configuration file.  This
really needs an errata....
Comment 1 Mike Chambers 2002-05-05 09:19:53 EDT
It seems to run on my system, but I do receive the error as stated above.  Do 
an ls -l of /var/www/html/usage and you'll see the date/time changes to the 
time it was last run.
Comment 2 Ngo Than 2002-06-21 17:03:38 EDT
It's fixed in 2.01_10-5.
Comment 3 Michal Jaegermann 2002-07-25 14:18:58 EDT
Does this fix includes some cron entries which would run 'webazolver' from
time to time?  dns_cache does not seem to be very useful when it is stale.

Also a resolution notice could include this tidbit that it is enough to
run 'webazolver' to create the required dns_cache.db or it can be commented
out in /etc/webalizer.conf file. Both actions do not require switching
to rawhide stuff.  That information can be found in 'man webalizer' but
in a somewhat obscure form.
Comment 4 Carl T. Miller 2002-11-17 06:25:14 EST
I've installed webalizer-2.01_10-9 and I'm still getting the daily message
"Error: Unable to open DNS cache file /var/lib/webalizer/dns_cache.db"

Everything works correctly, but I'd prefer to not get that message.  Than,
can you tell us what you did to fix it in 2.01_10-5?
Comment 5 Ngo Than 2002-11-18 04:21:22 EST
i have made the changes in /etc/webalizer.conf. It could be that you still have
the old config file on your system after upgrade process.

Please check it again.
Comment 6 Mark J. Cox (Product Security) 2002-12-04 03:33:39 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.